// Copyright (c) 2002,2003 Jesper Pedersen, David Greaves
//
//     This file is part of Shopper.

//     Shopper is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.

//     Shopper is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.

//     You should have received a copy of the GNU General Public License
//     along with Shopper; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//     $Id: categoryconfig.cpp,v 1.2 2003/12/11 16:16:37 arbor Exp $

#include "Shopper.h"
#include "categoryconfig.h"
#include <qlayout.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qaccel.h>

CategoryConfig::CategoryConfig( QWidget* parent ) :QWidget( parent, "CategoryConfig" )
{
  QVBoxLayout* lay1 = new QVBoxLayout( this, 6 );
  QHBoxLayout* lay2 = new QHBoxLayout( lay1, 6 );
  QHBoxLayout* lay3 = new QHBoxLayout( lay1, 6 );
  
  QLabel* label = new QLabel( tr("Name"), this );
  lay2->addWidget( label );
  
  _name = new QLineEdit( this );
  lay2->addWidget( _name );
  
  _ok = new QPushButton( tr("OK"), this );
  _del = new QPushButton( tr("Delete"), this );
  QPushButton* cancel = new QPushButton( tr("Cancel"), this );
  lay3->addStretch(1);
  lay3->addWidget( _ok );
  lay3->addWidget( _del );
  lay3->addWidget( cancel );
  
  connect( cancel, SIGNAL( clicked() ), this, SIGNAL( closeMe() ) );
  connect( _del, SIGNAL( clicked() ), this, SIGNAL( closeMe() ) );
  connect( _del, SIGNAL( clicked() ), this, SIGNAL( deleteItem() ) );
  connect( _ok, SIGNAL( clicked() ), this, SLOT( done() ) );
  connect( _name, SIGNAL( textChanged( const QString& ) ), this, SLOT( nameChanged( const QString& ) ) );
  connect( _name, SIGNAL( returnPressed() ), this, SLOT(done()));
  
  lay1->addStretch(1);
}

void CategoryConfig::done() 
{
  emit selected( _name->text() );
  emit closeMe();
}

void CategoryConfig::setDeletePossible( bool on ) 
{
  _del->setEnabled( on );
}

void CategoryConfig::setName( const QString& name )
{
  _name->setText( name );
}

void CategoryConfig::nameChanged( const QString& str )
{
  _ok->setEnabled( !str.isEmpty() );
}


