// Copyright (c) 2002,2003 Jesper Pedersen, David Greaves
//
//     This file is part of Shopper.

//     Shopper is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.

//     Shopper is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.

//     You should have received a copy of the GNU General Public License
//     along with Shopper; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//     $Id: categoryconfig.h,v 1.1.1.1 2003/11/21 16:45:20 arbor Exp $

#ifndef __CATEGORYCONFIG_H
#define __CATEGORYCONFIG_H
#include <qwidget.h>
#include <qlineedit.h>
#include <qpushbutton.h>

class CategoryConfig :public QWidget 
{
  Q_OBJECT

public:
  CategoryConfig( QWidget* parent );
  void setName( const QString& name ); 
  void setDeletePossible( bool );

signals:
  void closeMe();
  void deleteItem();
  void selected( const QString& name );

protected slots:
  void done();
  void nameChanged( const QString& str );

private:
  QLineEdit* _name;
  QPushButton* _ok;
  QPushButton* _del;
};

#endif // __CATEGORYCONFIG_H
