// Copyright (c) 2002,2003 Jesper Pedersen, David Greaves
//
//     This file is part of Shopper.

//     Shopper is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.

//     Shopper is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.

//     You should have received a copy of the GNU General Public License
//     along with Shopper; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//     $Id: categoryitem.cpp,v 1.2 2003/12/11 16:16:37 arbor Exp $

#include "Shopper.h"
#include "categoryitem.h"
#include <qiconset.h>
#include <qpopupmenu.h>

CategoryItem::CategoryItem( const QString& name, QObject* parent ) 
  : QAction( name, QIconSet(), name, 0, parent, "CategoryItem" ) 
{
}

int CategoryList::compareItems( QCollection::Item i1, QCollection::Item i2 )
{
  CategoryItem* item1 = reinterpret_cast<CategoryItem*>(i1);
  CategoryItem* item2 = reinterpret_cast<CategoryItem*>(i2);
  
  if ( item1->text() == item2->text() ) 
    return 0;
  else if ( item1->text() > item2->text() ) 
    return 1;
  else
    return -1;
}

