// Copyright (c) 2002,2003 Jesper Pedersen, David Greaves
//
//     This file is part of Shopper.

//     Shopper is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.

//     Shopper is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.

//     You should have received a copy of the GNU General Public License
//     along with Shopper; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//     $Id: itemconfig.h,v 1.1.1.1 2003/11/21 16:45:20 arbor Exp $

#ifndef __ITEMCONFIG_H
#define __ITEMCONFIG_H

#include <qlineedit.h>
#include <qcombobox.h>
#include "categoryitem.h"

class ItemConfig :public QWidget 
{
Q_OBJECT

public:
  ItemConfig( QWidget* parent );
  void setName( const QString& name ); 
  void setCategory( CategoryItem* category, CategoryList* availableCategories );
  void setDeletePossible( bool );

signals:
  void closeMe();
  void deleteItem();
  void selected( const QString& name, CategoryItem* category );

protected slots:
  void done();
  void nameChanged( const QString& str );
  
private:
  QLineEdit* _name;
  QComboBox* _category;
  QPushButton* _del;
  QPushButton* _ok;
  CategoryList* _categories;
};

#endif // __ITEMCONFIG_H
