// Copyright (c) 2003 David Greaves
//
//     This file is part of Shopper.

//     Shopper is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.

//     Shopper is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.

//     You should have received a copy of the GNU General Public License
//     along with Shopper; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//     $Id: options.cpp,v 1.1 2003/12/11 16:16:37 arbor Exp $

#include "Shopper.h"
#include "options.h"

Options::Options()
{
  QMap<QString,QString> _mystore();
}

void Options::setOption(const QString & option, const QString & value)
{
  _mystore.replace(option, value);
}

const QString& Options::getOption(const QString & option)
{
  return (_mystore.find(option).data());
}

bool Options::isOptionOn(const QString & option)
{
  return _mystore.find(option).data() == "on";
}

OptionsIt Options::begin()
{
  return(OptionsIt(_mystore));
}

//######################################################################
// Iterates over the option keys...
OptionsIt::OptionsIt(QMap<QString,QString> &map):
  _map( map ), _it( _map.begin() )
{ }

bool OptionsIt::hasNext()
{
  return (_it != _map.end());
}

OptionsIt& OptionsIt::operator++()
{
  ++_it;
  return *this;
}

void OptionsIt::operator++(int)
{ ++(*this); } 

// Try to be a bit safe
const QString& OptionsIt::operator*()
{
  if (_it != _map.end()) {
    return(_it.key());
  } else {
    return *(new QString(""));
  }
}
