// Copyright (c) 2003 David Greaves
//
//     This file is part of Shopper.

//     Shopper is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 2 of the License, or
//     (at your option) any later version.

//     Shopper is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.

//     You should have received a copy of the GNU General Public License
//     along with Shopper; if not, write to the Free Software
//     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//     $Id: options.h,v 1.1 2003/12/11 16:16:37 arbor Exp $

#ifndef __OPTIONS_H
#define __OPTIONS_H

#include <qapplication.h>
#include <qmap.h>

class OptionsIt;

class Options
{
public:
  Options();

  void setOption(const QString & option, const QString & value);
  const QString& getOption(const QString & option);
  bool Options::isOptionOn(const QString & option);

  OptionsIt Options::begin();

private:
  QMap<QString,QString> _mystore;
};

class OptionsIt
{
public:
  OptionsIt(QMap<QString,QString> &map);

  OptionsIt& OptionsIt::operator++();
  void OptionsIt::operator++(int);
  const QString& OptionsIt::operator*();
  bool OptionsIt::hasNext();

private:
  QMap<QString,QString>& _map;
  QMapIterator<QString,QString> _it;

};
#endif // __OPTIONS_H
